java.util.logging

## Class XMLFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - java.util.logging.XMLFormatter

-     public class XMLFormatter
      extends Formatter

  Format a LogRecord into a standard XML format.

  The DTD specification is provided as Appendix A to the Java Logging APIs specification.

  The XMLFormatter can be used with arbitrary character encodings, but it is recommended that it normally be used with UTF-8. The character encoding can be set on the output Handler.

  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLFormatter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(LogRecord record)` Format the given message to XML.
    `String` | `getHead(Handler h)` Return the header string for a set of XML formatted records.
    `String` | `getTail(Handler h)` Return the tail string for a set of XML formatted records.

    - ### Methods inherited from class java.util.logging.Formatter

      `formatMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLFormatter

          public XMLFormatter()

  - ### Method Detail

    - #### format

          public String format(LogRecord record)

      Format the given message to XML.

      This method can be overridden in a subclass. It is recommended to use the `Formatter.formatMessage(java.util.logging.LogRecord)` convenience method to localize and format the message field.

      Specified by:
        `format` in class `Formatter`
      Parameters:
        `record` - the log record to be formatted.
      Returns:
        a formatted log record

    - #### getHead

          public String getHead(Handler h)

      Return the header string for a set of XML formatted records.
      Overrides:
        `getHead` in class `Formatter`
      Parameters:
        `h` - The target handler (can be null)
      Returns:
        a valid XML string

    - #### getTail

          public String getTail(Handler h)

      Return the tail string for a set of XML formatted records.
      Overrides:
        `getTail` in class `Formatter`
      Parameters:
        `h` - The target handler (can be null)
      Returns:
        a valid XML string

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.